[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'db' (#fcl)

# TDataSet.BookmarkValid

Test whether ABookMark is a valid bookmark.

## Declaration

Source position: db.pas line 1551

`public function TDataSet.BookmarkValid(`
`ABookmark: TBookmark`
`):Boolean; virtual;`

## Arguments

`ABookmark` |  | Bookmark pointer to test

## Function result

True if ABookmark is a valid bookmark.

## Description

BookmarkValid returns True if ABookMark is a valid bookmark for the dataset. Various operations can render a bookmark invalid: changing the sort order, closing and re-opening the dataset. BookmarkValid always returns False in TDataset. Descendent classes must override this method to do an actual test.

## Errors

If the bookmark is a completely arbitrary pointer, an exception may be raised.

## See also

TDataset.GetBookmark |  | Get a bookmark pointer (deprecated)
TDataset.SetBookmark
TDataset.FreeBookmark |  | Free a bookmark obtained with GetBookmark (deprecated)
TDataset.BookmarkAvailable

The latest version of this document can be found at lazarus-ccr.sourceforge.net .